### File

`packages/eui-dynamic-forms-ui/src/lib/shared/services/multi-redux.service.ts`

### Index

###### Properties
globalId
###### Methods
destroyComponent dispatch registerComponent select setId

### Constructor

`constructor(store: Store)`
Parameters :
Name | Type | Optional
store | `Store<any>` | No

### Methods

destroyComponent
`destroyComponent(id, reducers)`
Parameters :
Name | Optional
id | No
reducers | No
Returns : `void`

dispatch
`dispatch(id, action)`
Parameters :
Name | Optional
id | No
action | No
Returns : `void`

registerComponent
`registerComponent(id, reducers)`
Parameters :
Name | Optional
id | No
reducers | No
Returns : `void`

select
`select(id, fn)`
Parameters :
Name | Optional
id | No
fn | No
Returns : `any`

setId
`setId(id)`
Parameters :
Name | Optional
id | No
Returns : `void`

### Properties

globalId
Type : `string`
Default value : `Math.random().toString()`

# results matching ""

# No results matching ""